Xapian & Ruby Enterprise in Ubuntu

I had a long standing issue once I moved my dev Ruby to Ruby Enterprise.  I couldn’t get Xapian to detect the ruby bindings..

“No Ruby bindings for Xapian installed”
“No Ruby bindings for Xapian installed”

Argh!

How do you fix it?  Simple symlinks!

(I have my Ruby Enterprise install at /opt/ruby-enterprise and I run 64 bit, should be able to work out the slight differences)

sudo apt-get install libxapian15 libxapian-ruby1.8
cd /opt/ruby-enterprise/lib/ruby/1.8/
sudo ln -s /usr/lib/ruby/1.8/xapian.rb
cd /opt/ruby-enterprise/lib/ruby/site_ruby/1.8/x86_64-linux/
sudo ln -s /usr/lib/ruby/1.8/x86_64-linux/_xapian.so
sudo apache2ctl restart

Posted on October 14, 2009 at 3:48 pm by Jordan Carter · Permalink
In: Ruby on Rails · Tagged with: , , , ,

One Response

Subscribe to comments via RSS

  1. Written by Tom
    on November 27, 2009 at 8:10 pm
    Permalink

    Legendary. I though that I would have to install the xapian bindings from source for sure!

Subscribe to comments via RSS

Leave a Reply